summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authorasomers <asomers@FreeBSD.org>2016-06-02 15:31:24 +0000
committerasomers <asomers@FreeBSD.org>2016-06-02 15:31:24 +0000
commit944327caa7d255376a656b6a1646a3a6403a81ae (patch)
tree3d9f70332825c0bc47e0b3c24c24411c908991bb /etc
parentba040f3c445c68adbeb636bf05b90947a338f367 (diff)
downloadFreeBSD-src-944327caa7d255376a656b6a1646a3a6403a81ae.zip
FreeBSD-src-944327caa7d255376a656b6a1646a3a6403a81ae.tar.gz
Fix exit status of "service routing start <af> <iface>"
etc/rc.d/routing Ignore the exit status of options_{inet,inet6,atm}. It's meaningless. Reviewed by: hrs MFC after: 4 weeks Sponsored by: Spectra Logic Corp Differential Revision: https://reviews.freebsd.org/D6687
Diffstat (limited to 'etc')
-rwxr-xr-xetc/rc.d/routing5
1 files changed, 5 insertions, 0 deletions
diff --git a/etc/rc.d/routing b/etc/rc.d/routing
index 3d3f5a5..2a57fa3 100755
--- a/etc/rc.d/routing
+++ b/etc/rc.d/routing
@@ -90,18 +90,23 @@ routing_stop()
setroutes()
{
+ local _ret
+ _ret=0
case $1 in
static)
static_$2 add $3
+ _ret=$?
;;
options)
options_$2
;;
doall)
static_$2 add $3
+ _ret=$?
options_$2
;;
esac
+ return $_ret
}
routing_stop_inet()
OpenPOWER on IntegriCloud